LinuxQMISDK: qaGobiApiImsa.h File Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
qaGobiApiImsa.h File Reference
IMS Service (IMS)

IMSA Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | IMSAIndRegisterInfo
struct | SupportedMsgList
struct | IMSASupportedMsgInfo
struct | ReqFieldsList
struct | RespFieldsList
struct | IndFieldsList
struct | IMSASupportedFieldsResp
struct | IMSARegistrationStatus
struct | IMSAServiceStatus

## Functions
ULONG | SLQSRegisterIMSAIndication (IMSAIndRegisterInfo *pImsaIndRegisterInfo)
ULONG | SLQSGetIMSASupportedMsg (IMSASupportedMsgInfo *pIMSASupportedMsgInfo)
ULONG | SLQSGetIMSASupportedFields (WORD messageID, IMSASupportedFieldsResp *pIMSASupportedFieldsResp)
ULONG | SLQSGetIMSARegStatus (IMSARegistrationStatus *pIMSARegistrationStatus)
ULONG | SLQSGetIMSAServiceStatus (IMSAServiceStatus *pIMSAServiceStatus)

## Detailed Description

IMSA Service API function prototypes.

## Function Documentation

ULONG SLQSGetIMSARegStatus | ( | IMSARegistrationStatus * | pIMSARegistrationStatus | ) |

Queries the set of messages implemented by the currently running software.

Parameters

  pIMSARegistrationStatus[OUT] | Structure containing response parameters for registration status. See IMSARegistrationStatus for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Secs

          This API is used by a device to get the registration status for
          various IMS services for the requesting control point.

ULONG SLQSGetIMSAServiceStatus | ( | IMSAServiceStatus * | pIMSAServiceStatus | ) |

Gets the service status for various IMS services for the requesting control point.

Parameters

  pIMSAServiceStatus[OUT] | Structure containing response parameters for service status. See IMSAServiceStatus for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Secs

          This API is used by a device to Gets the service status for various
          IMS services for the requesting control point.

ULONG SLQSGetIMSASupportedFields | ( | WORD | messageID,
|  | IMSASupportedFieldsResp * | pIMSASupportedFieldsResp
| ) |  |

Queries the set of supported fields implemented by the currently running software.

Parameters

  messageID[IN] | Service Message ID.
  pIMSASupportedFieldsResp[OUT] | Structure containing Supported Fields Response. See IMSASupportedFieldsResp for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Secs

          This API is used by a device to query the fields supported for a
          single command as implemented by the currently running software.

ULONG SLQSGetIMSASupportedMsg | ( | IMSASupportedMsgInfo * | pIMSASupportedMsgInfo | ) |

Queries the set of messages implemented by the currently running software.

Parameters

  pIMSASupportedMsgInfo[OUT] | Structure containing Supported Messages Information. See IMSASupportedMsgInfo for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Secs

          This API is used by a device to query the set of messages implemented by
          the currently running software

ULONG SLQSRegisterIMSAIndication | ( | IMSAIndRegisterInfo * | pImsaIndRegisterInfo | ) |

Sets the registration state for different QMI_IMSA indications for the requesting control point

Parameters

  pImsaIndRegisterInfo[IN] | Structure containing Indication Register Information. See IMSAIndRegisterInfo for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 5 Secs

          This API is used by a device to register/deregister for different
          QMI IMSA indications.
          The device's registration state variables that control registration
          for indications will be modified to reflect the settings indicated in the
          request message.
          At least one optional parameter must be present in the request.